///////////////////////////////////////////////////////////////////
//Aufgabe 3b Kapitel Simulationen
/////////////////////////////////////////////////////////////////////
ArrayList<Kugel> kugeln;

private int hindernis_x = 500;
private int hindernis_y = 250;
private int hindernis_rad = 60;

float friction = 0.0;
float factor = 1-friction;


ArrayList<PVector> bahn1, bahn2;

void setup() {
  size(1000, 500, P3D);//Mit dem Renderer P2D kann schneller gezeichnet werden
  kugeln = new ArrayList<Kugel>();
  kugeln.add(new Kugel(new PVector(70, height/2), 30, new PVector(1, 3), color(255)));
  kugeln.add(new Kugel(new PVector(70, height/2+10), 30, new PVector(1, 3), color(255)));
  bahn1 = new ArrayList<PVector>();
  bahn2 = new ArrayList<PVector>();
  bahn1.add(new PVector(kugeln.get(0).getPos().x,kugeln.get(0).getPos().y));
  bahn2.add(new PVector(kugeln.get(1).getPos().x,kugeln.get(1).getPos().y));
}



void draw() {  
  background(255);

  stroke(255,0,0);
  noFill();
  beginShape();
  for (PVector p : bahn1) vertex(p.x,p.y);
  endShape();
  
  stroke(0,0,255);
  noFill();
  beginShape();
  for (PVector p : bahn2) vertex(p.x,p.y);
  endShape();

  fill(0);
  noStroke();
  ellipse(hindernis_x, hindernis_y, 2*hindernis_rad, 2*hindernis_rad);

   kugeln.get(0).aktualiseren();
  bahn1.add(new PVector(kugeln.get(0).getPos().x,kugeln.get(0).getPos().y));
  kugeln.get(0).pruefeKollisionRand();
  kugeln.get(0).pruefeKollisionZylinder();
  
  kugeln.get(1).aktualiseren();
  bahn2.add(new PVector(kugeln.get(1).getPos().x,kugeln.get(1).getPos().y));
  kugeln.get(1).pruefeKollisionRand();
  kugeln.get(1).pruefeKollisionZylinder();
}

void keyPressed() { save("test.png"); }